-- lanza una espada

local tipoParticula = PART_ESPADA
local tamax = 0.3
local tamay = 0.15
local inix = ( Accion(GET_X) - ( Accion(GET_CENTROX) - Accion(GET_GOLPEX) ) * Accion(GET_FLIP) ) + ( Accion(GET_FLIP) * tamax / 2.0 )
local iniy = Accion(GET_Y) - Accion(GET_CENTROY) + Accion(GET_GOLPEY)
local velx = 0.02 * Accion(GET_FLIP)
local vely = 0
local modulo = 0
local origen = 1 -- 1 -> bicho
local tiempofin = 5 
Accion(INSERTA_PARTICULA, tipoParticula,tamax,tamay,inix,iniy,velx,vely,modulo,origen,tiempofin,1,true)

Accion(SET_ENERGIA, Accion(GET_ENERGIA) - ENERGIA_COMBO1)
if Accion(GET_ENERGIA) < 0 then
   Accion(SET_ENERGIA, 0 )
end
